package cz.moneta.test.harness.connectors.rest;

import jakarta.ws.rs.core.MultivaluedMap;

/**
 * Extendable response object from {@link ExtendedRestConnector}.
 */
public class ExtendedRestResponse<T> {

    private T responseBody;
    private MultivaluedMap<String, Object> responseHeaders;

    public ExtendedRestResponse(T responseBody, MultivaluedMap<String, Object> responseHeaders) {
        this.responseBody = responseBody;
        this.responseHeaders = responseHeaders;
    }

    public T getResponseBody() {
        return responseBody;
    }

    public MultivaluedMap<String, Object> getResponseHeaders() {
        return responseHeaders;
    }
}
